Name:           amarok-extras-nonfree
Summary:        Additional functionality for the amaroK media player
Version:        1.3.9
Release:        1%{?dist}

Group:          Applications/Multimedia
License:        GPL
URL:            http://amarok.kde.org/
Source0:        http://dl.sf.net/amarok/amarok-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xine-lib-devel >= 1.0.0
BuildRequires:  kdelibs-devel
BuildRequires:  taglib-devel
Requires:       amarok >= 1.3 
Provides:       amarok-engine = %{version}
Provides:       amarok-xine = %{version}-%{release}
Obsoletes:      amarok-xine < %{version}-%{release}

%description
This package provides additional functionality for the amaroK media
player.


%prep
%setup -q -n amarok-%{version}

#echo amarok > subdirs ; touch -r configure.in.in subdirs # no doc, po needed here


%build
unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
#export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --without-gstreamer \
  --without-arts \
  --without-helix \
  --without-xmms \
  --without-libvisual \
  --without-musicbrainz \
  --with-xine

make -C amarok/src/plugin libplugin.la
make -C amarok/src/engine libengine.la
make -C amarok/src/engine/xine


%install
rm -rf $RPM_BUILD_ROOT

make -C amarok/src/engine/xine install DESTDIR=$RPM_BUILD_ROOT

#make install DESTDIR=$RPM_BUILD_ROOT
#find $RPM_BUILD_ROOT \( -type f -o -type l \) -not -name "*xine*" | xargs rm -f

# to avoid conflicts; the FE amarok package shouldn't probably ship this...
rm -f $RPM_BUILD_ROOT%{_datadir}/apps/amarok/images/xine_logo.png


%clean
rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog README
%{_libdir}/kde3/libamarok_xine-engine.*
%{_datadir}/config.kcfg/xinecfg.kcfg
%{_datadir}/services/amarok_xine-engine.desktop


%changelog
* Mon Apr 17 2006 Aurelien Bompard <gauret[AT]free.fr> 1.3.9-1
- version 1.3.9

* Tue Apr 11 2006 Aurelien Bompard <gauret[AT]free.fr> 1.3.8-1
- downgrade to 1.3.8, as in Fedora Extras

* Sat Apr  1 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.4-0.1.beta2
- First build.
